Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class RestrictedSourceExpression

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.ExternalSourceExpression
                  |
                  +--oracle.AWXML.RestrictedSourceExpression

Direct Known Subclasses:
  CubeDimensionSourceExpression, DimensionKeySourceExpression, MeasureSourceExpression

public abstract class RestrictedSourceExpression
extends ExternalSourceExpression

An abstract class that restricts the rows of data within the source columns for a measure, dimension, or dimension reference in a cube. The restriction can apply to a `MeasureSourceExpression`, a `CubeDimensionSourceExpression`, or a `DimensionKeySourceExpression`.

A `RestrictedSourcExpression` has a `WhereClause` that specifies a valid SQL WHERE clause.

If restrictions are placed on the source columns for both measures and dimensions within a cube, the SQL WHERE clauses are concatenated.

See Also:
  `MappingGroup`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`RestrictedSourceExpression(BaseObject input)` Creates a `RestrictedSourceExpression` for the specified `MeasureSourceExpression`, `CubeDimensionSourceExpression`, or `DimensionKeySourceExpression`.

Method Summary
`WhereClause` | `createRestriction()` Creates the `WhereClause` in the `RestrictedSourceExpression`.
`WhereClause` | `getRestriction()` Returns the `WhereClause` that specifies the restriction.
`WhereClause` | `getWhereClause()` Returns the `WhereClause` that specifies the restriction.
`void` | `setRestriction(WhereClause input)` Sets the restriction to the specified `WhereClause`.
`void` | `setWhereClause(WhereClause input)` Sets the restriction to the specified `WhereClause`.
`java.lang.String` | `WriteToXML()` Returns the `RestrictedSourceExpression` as an XML string.

Methods inherited from class oracle.AWXML.ExternalSourceExpression
`addSourceColumn, CreateSourceColumn, getSourceColumns, getTargetObject, removeSourceColumn, setTargetObject`

Methods inherited from class oracle.AWXML.BaseObject
`Alter, Create, CreateAfter, CreateBefore, CreateFirst, DataRead, Delete, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestrictedSourceExpression

    public RestrictedSourceExpression(BaseObject input)

  Creates a `RestrictedSourceExpression` for the specified `MeasureSourceExpression`, `CubeDimensionSourceExpression`, or `DimensionKeySourceExpression`.
  Parameters:
    `input` - The source expression that owns the `RestrictedSourceExpression`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Returns the `RestrictedSourceExpression` as an XML string.
  Overrides:
    WriteToXML in class ExternalSourceExpression
  Returns:
    A `String` containing the XML that represents the `RestrictedSourceExpression`.

### setWhereClause

    public void setWhereClause(WhereClause input)

  Sets the restriction to the specified `WhereClause`.
  Parameters:
    `input` - A `WhereClause` that specifies a valid SQL WHERE clause.

### getWhereClause

    public WhereClause getWhereClause()

  Returns the `WhereClause` that specifies the restriction.
  Returns:
    The `WhereClause`.

### setRestriction

    public void setRestriction(WhereClause input)

  Sets the restriction to the specified `WhereClause`.

  This method is the functional equivalent of `setWhereClause`.

  Parameters:
    `input` - A `WhereClause` that specifies a valid SQL WHERE clause.

### getRestriction

    public WhereClause getRestriction()

  Returns the `WhereClause` that specifies the restriction.

  This method is the functional equivalent of `getWhereClause`.

  Returns:
    The `WhereClause`.

### createRestriction

    public WhereClause createRestriction()

  Creates the `WhereClause` in the `RestrictedSourceExpression`.
  Returns:
    The new `WhereClause`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.